#!/usr/bin/env python

from zipfile import ZipFile
import os


ATTR_PATH = 'attrsdoc'

def save_z(z, path, filename):
	data = z.read(path)
	f = open(filename, 'w')
	f.write(data)
	f.close()
	os.system('xmllint --format --output %s %s' % (filename, filename))

def process_dir(dirname):
	files = os.listdir(dirname)
	for filename in files:
		if not filename.rsplit('.', 1)[-1] in ['xls', 'xls-d', 'ppt', 'ppt-d', 'doc', 'doc-d']:
			print 'Skipped', filename
			continue
		fullname = os.path.join(dirname, filename)
		os.system('hachoir-metadata %s > %s' % (fullname,  os.path.join(ATTR_PATH, filename + '_metadata.txt')))
		print 'Processed', filename
def run():
	for adir in ['page', 'news', 'event', 'library', 'reforma', 'regulation', 'sectoral']:
		process_dir('ar.gov.ru/files/%s' % adir)

if __name__ == "__main__":
	run()